cgGetArrayType(3)

NAME
cgGetArrayType - get the type of an array parameter

SYNOPSIS
  #include <Cg/cg.h>
  CGtype cgGetArrayType( CGparameter param );

PARAMETERS

param
    The array parameter handle.

RETURN VALUES
Returns the the type of the inner most array.

Returns CG_UNKNOWN_TYPE if an error occurs.

DESCRIPTION
cgGetArrayType returns the type of the members of an array. If the given array is multi-dimensional, it will return the type of the members of the inner most array.

EXAMPLES
  CGcontext context = cgCreateContext();
  CGparameter array = cgCreateParameterArray(context, CG_FLOAT, 5);
  CGtype arrayType = cgGetArrayType(array); /* This will return CG_FLOAT */

ERRORS
CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

CG_ARRAY_PARAM_ERROR is generated if param is not an array parameter.

HISTORY
cgGetArrayType was introduced in Cg 1.2.

SEE ALSO
the cgGetArraySize manpage, the cgGetArrayDimension manpage